# Interface methods for submodule: NotImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import InPlaceImageFilterProxy as _InPlaceImageFilterProxy


# Interface methods for class: NotImageFilter
class NotImageFilterProxy(_InPlaceImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetFunctor(self):
		""""""
		...

	def SetFunctor(self, functor) -> None:
		""""""
		...

	@overload
	def SetBackgroundValue(self, backgroundValue: float) -> None:
		""""""
		...

	@overload
	def SetBackgroundValue(self, backgroundValue: int) -> None:
		""""""
		...

	@overload
	def GetBackgroundValue(self) -> float:
		""""""
		...

	@overload
	def GetBackgroundValue(self) -> int:
		""""""
		...

	@overload
	def SetForegroundValue(self, foregroundValue: float) -> None:
		""""""
		...

	@overload
	def SetForegroundValue(self, foregroundValue: int) -> None:
		""""""
		...

	@overload
	def GetForegroundValue(self) -> float:
		""""""
		...

	@overload
	def GetForegroundValue(self) -> int:
		""""""
		...

